<?php

require_once('libs/smartsheet_api.php');
 
$test = new smartsheet_connect('YOUR_API_KEY', 'YOUR_SHEET_ID', true);
 
$row_data = array('Name' => 'Test', 'Phone Number'=>"919-555-1212", "Email"=>'test@test.com', 'Company'=>'Test Company', 'Message'=>'Test Message', 'Country'=>'United States');
$file_path = "/tmp/test.txt";

/* 
 * Example Usage: Adding a Row
 */

$row_id = $test->insert_row($row_data);

if($row_id !== false){
	
	echo "Row Added: {$row_id}";
	
} else{
	
	echo "An Error Occurred!";
	
}


/* 
 * Example Usage: Adding a Row and An Attachment
 */

$row_id = $test->insert_row($row_data);

if($row_id !== false){
	
	$result = $test->attach_file($row_id, $file_path);
	echo "Row Added: {$row_id}";
	
} else{
	
	echo "An Error Occurred!";
	
}
